<?php
defined('TYPO3_MODE') or die();

$boot = function () {
    if (TYPO3_MODE === 'BE') {
        $iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);

        $icons = [
            'ext-menubuilder-menuitem-type-page' => 'tx_nlmenubuilder_domain_model_menuitem-page.svg',
            'ext-menubuilder-menuitem-type-link' => 'tx_nlmenubuilder_domain_model_menuitem-link.svg',
            'ext-menubuilder-menuitem-type-content' => 'tx_nlmenubuilder_domain_model_menuitem-content.svg',
            'ext-menubuilder-menuitem-type-submenu' => 'tx_nlmenubuilder_domain_model_menuitem-submenu.svg',
        ];

        foreach ($icons as $identifier => $path) {
            if (!$iconRegistry->isRegistered($identifier)) {
                $iconRegistry->registerIcon(
                    $identifier,
                    \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
                    ['source' => 'EXT:nl_menubuilder/Resources/Public/Icons/' . $path]
                );
            }
        }
    }
};

$boot();

unset($boot);
